netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
printer Struct Reference

`#include <printer.h>`

## Data Fields
char * | p_name
char * | p_type
char * | p_zone
char * | p_u_name
char * | p_ppdfile
char | p_status [255]
char * | p_authprintdir
int | p_flags
struct at_addr | p_addr
union { |
struct { |
char * pr_printer |
char * pr_operator |
char * pr_spool |
int pr_pagecost |
char * pr_pagecost_msg |
char * pr_lock |
} pu_pr
char * pu_cmd |
} | p_un
ATP | p_atp
char * | p_cupsoptions
struct printer * | p_next

## Field Documentation

## ◆ p_addr

struct at_addr printer::p_addr

## ◆ p_atp

ATP printer::p_atp

## ◆ p_authprintdir

char* printer::p_authprintdir

## ◆ p_cupsoptions

char* printer::p_cupsoptions

## ◆ p_flags

int printer::p_flags

## ◆ p_name

char* printer::p_name

## ◆ p_next

struct printer* printer::p_next

## ◆ p_ppdfile

char* printer::p_ppdfile

## ◆ p_status

char printer::p_status[255]

## ◆ p_type

char* printer::p_type

## ◆ p_u_name

char* printer::p_u_name

## ◆ [union]

union { ... } printer::p_un

## ◆ p_zone

char* printer::p_zone

## ◆ pr_lock

char* printer::pr_lock

## ◆ pr_operator

char* printer::pr_operator

## ◆ pr_pagecost

int printer::pr_pagecost

## ◆ pr_pagecost_msg

char* printer::pr_pagecost_msg

## ◆ pr_printer

char* printer::pr_printer

## ◆ pr_spool

char* printer::pr_spool

## ◆ pu_cmd

char* printer::pu_cmd

## ◆ [struct]

struct { ... } printer::pu_pr

The documentation for this struct was generated from the following file:

- printer.h